## org.codehaus.groovy.runtime.wrappers
Class PojoWrapper

author:
  John Wilson

Field Summary
`MetaClass` | `delegate`
`Object` | `wrapped`

Constructor Summary
`PojoWrapper(Object wrapped, Class constrainedType)`

Method Summary
`MetaClass` | `getDelegatedMetaClass()`
`Object` | `getProperty(String property)` Note the rest of these method will only be used post 1.0
`Object` | `getWrapped()`
`Object` | `invokeMethod(String methodName, Object arguments)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Object` | `unwrap()`

Constructor Detail

### PojoWrapper

    public PojoWrapper(Object wrapped, Class constrainedType)

Method Detail

### getDelegatedMetaClass

    MetaClass getDelegatedMetaClass()

### getProperty

    public Object getProperty(String property)

  Note the rest of these method will only be used post 1.0

### getWrapped

    Object getWrapped()

### invokeMethod

    public Object invokeMethod(String methodName, Object arguments)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### unwrap

    public Object unwrap()